PUT
/
v3
/
10dlc
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
Update a 10DLC Campaign
curl --request PUT \
  --url https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Campaign",
  "usecase": "MARKETING",
  "description": "Explain how users opt in (e.g., via website or paid ads), specify the message frequency, and clearly state that opting in to messages is optional and not required to use the service.",
  "embedded_links": false,
  "embedded_phones": false,
  "age_gated": false,
  "direct_lending": false,
  "optin": true,
  "optout": true,
  "help": true,
  "sample1": "Example of message sample for campaign 1",
  "sample2": "Example of message sample for campaign 2",
  "sample3": "Example of message sample for campaign 3",
  "sample4": "Example of message sample for campaign 4",
  "sample5": "Example of message sample for campaign 5",
  "optin_workflow": "Our SMS campaign uses a double opt-in workflow where customers reply START to begin",
  "help_message": "For help, please visit www.site.com. To opt out, reply STOP.",
  "optin_message": "You have opted in to our campaign. Reply HELP for assistance or STOP to unsubscribe.",
  "optout_message": "A comma-separated list of OPT-OUT keywords. The OPT-OUT keywords are case-insensitive.",
  "auto_renewal": true,
  "optin_keywords": "start,optin",
  "help_keywords": "help",
  "optout_keywords": "optout,discard",
  "terms_conditions": "https://site.com/terms-and-conditions",
  "privacy_policy": "PROFESSIONAL",
  "embedded_link_sample": "https://example.com"
}
'
{
  "affiliate_marketing": false,
  "age_gated": false,
  "auto_renewal": false,
  "brand_id": "BM20QP9",
  "campaign_id": "CKLCK95",
  "created_at": "2024-08-14T11:57:41",
  "description": "Our campaign aims to …",
  "direct_lending": false,
  "embedded_link_sample": null,
  "embedded_links": false,
  "embedded_phones": false,
  "feedback": null,
  "help": true,
  "help_keywords": "help",
  "help_message": "For help, please visit www.site.com. To opt-out, reply STOP.",
  "last_bill_date": "2024-08-14T11:57:42",
  "mock": false,
  "monthly_fee": "10.0",
  "name": "My first campaign",
  "next_bill_date": "2024-11-14T00:00:00",
  "optin": true,
  "optin_keywords": "begin,start",
  "optin_message": "You are now opted-in for help please reply HELP, to stop please reply STOP",
  "optin_workflow": "Our SMS ...",
  "optout": true,
  "optout_keywords": "stop,quit,unsubscribe",
  "optout_message": "You are now opted out and will receive no further messages",
  "privacy_policy": "https://site.com/privacy-policy",
  "sample1": "Your verification code is XXXXXX",
  "sample2": "XXXX is your verification code",
  "sample3": null,
  "sample4": null,
  "sample5": null,
  "status": "APPROVED",
  "terms_conditions": "https://site.com/terms-and-conditions",
  "updated_at": "2024-08-14T11:57:47",
  "usecase": "2FA",
  "phone_numbers": []
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

brand_id
string
required

Brand ID.

Example:

"BM20QP9"

campaign_id
string
required

Campaign ID.

Example:

"CKLCK95"

Body

application/json

10DLC Campaign configuration.

name
string

A user-defined Campaign name

Maximum string length: 120
Example:

"Campaign"

usecase
enum<string>

Campaign use case

Available options:
CUSTOMER_CARE,
MARKETING,
ACCOUNT_NOTIFICATION,
FRAUD_ALERT,
PUBLIC_SERVICE_ANNOUNCEMENT,
SECURITY_ALERT
Example:

"MARKETING"

description
string

The Campaign description

Required string length: 40 - 4096
Example:

"Explain how users opt in (e.g., via website or paid ads), specify the message frequency, and clearly state that opting in to messages is optional and not required to use the service."

Indicates whether the Campaign messages contain embedded links

Example:

false

embedded_phones
boolean
default:false

Indicates whether the Campaign messages contain embedded phone numbers

Example:

false

age_gated
boolean
default:false

Indicates whether the Campaign messages contain age-gated content

Example:

false

direct_lending
boolean
default:false

Indicates whether the Campaign messages contain direct lending content

Example:

false

optin
boolean
default:false

Indicates whether the Campaign supports opt-in functionality

Example:

true

optout
boolean
default:false

Indicates whether the Campaign supports opt-out functionality

Example:

true

help
boolean
default:false

Indicates whether the Campaign provides HELP responses

Example:

true

sample1
string

Message sample

Required string length: 20 - 1024
Example:

"Example of message sample for campaign 1"

sample2
string

Message sample

Required string length: 20 - 1024
Example:

"Example of message sample for campaign 2"

sample3
string

Message sample

Required string length: 20 - 1024
Example:

"Example of message sample for campaign 3"

sample4
string

Message sample

Required string length: 20 - 1024
Example:

"Example of message sample for campaign 4"

sample5
string

Message sample

Required string length: 20 - 1024
Example:

"Example of message sample for campaign 5"

optin_workflow
string

The opt-in workflow - the process through which consumers opt-in to the Campaign

Required string length: 40 - 4096
Example:

"Our SMS campaign uses a double opt-in workflow where customers reply START to begin"

help_message
string

An acknowledgement to be sent when a HELP keyword is received

Required string length: 20 - 320
Example:

"For help, please visit www.site.com. To opt out, reply STOP."

optin_message
string

An acknowledgement to be sent when an OPT-IN keyword is received

Required string length: 20 - 320
Example:

"You have opted in to our campaign. Reply HELP for assistance or STOP to unsubscribe."

optout_message
string

An acknowledgement to be sent when an OPT-OUT keyword is received

Required string length: 20 - 320
Example:

"A comma-separated list of OPT-OUT keywords. The OPT-OUT keywords are case-insensitive."

auto_renewal
boolean
default:true

Indicates whether the Campaign should be automatically renewed

Example:

true

optin_keywords
string

A comma-separated list of OPT-IN keywords. The OPT-IN keywords are case-insensitive.

Maximum string length: 255
Example:

"start,optin"

help_keywords
string
default:HELP

A comma-separated list of HELP keywords. The HELP keywords are case-insensitive.

Maximum string length: 255
Example:

"help"

optout_keywords
string

A comma-separated list of OPT-OUT keywords. The OPT-OUT keywords are case-insensitive.

Maximum string length: 255
Example:

"optout,discard"

terms_conditions
string

A link to the Campaign terms and conditions

Maximum string length: 255
Example:

"https://site.com/terms-and-conditions"

privacy_policy
string

A link to the Campaign privacy policy

Maximum string length: 255
Example:

"PROFESSIONAL"

An embedded link sample

Maximum string length: 255
Example:

"https://example.com"

Response

Updated 10DLC Campaign.

10DLC campaign details.

affiliate_marketing
boolean
required

Indicates whether the Campaign is used for affiliate marketing.

Example:

false

age_gated
boolean
required

Indicates whether the Campaign messages contain age-gated content.

Example:

false

auto_renewal
boolean
required

Indicates whether the Campaign should be automatically renewed.

Example:

true

last_bill_date
string | null
required

Date and time the Campaign was last billed in ISO 8601 format. null if the Campaign has never been billed.

Example:

"2024-08-14T11:57:42"

next_bill_date
string | null
required

Date and time the Campaign will be billed next in ISO 8601 format. null if the next billing date is not scheduled.

Example:

"2024-08-14T11:57:42"

direct_lending
boolean
required

Indicates whether the Campaign messages contain direct lending content.

Example:

true

Indicates whether the Campaign messages contain embedded links.

Example:

true

embedded_phones
boolean
required

Indicates whether the Campaign messages contain embedded phone numbers.

Example:

true

Embedded link sample.

brand_id
string
required

Brand ID.

Example:

"BM20QP9"

campaign_id
string
required

Campaign ID.

Example:

"CKLCK95"

description
string | null
required

Campaign description.

Example:

"Our campaign aims to …"

optin_workflow
string | null
required

Opt-in workflow description.

Example:

"Our SMS ..."

feedback
string | null
required

Campaign feedback.

help
boolean
required

Indicates whether the campaign includes a help system (for example, keyword: HELP, INFO).

Example:

true

help_keywords
string
required

Comma-separated list of help keywords. Keywords are case-insensitive.

Example:

"help"

help_message
string | null
required

Help message sent upon receiving a help keyword.

Example:

"For help, please visit www.site.com. To opt out, reply STOP."

optin
boolean
required

Indicates whether the Campaign requires subscriber opt-in.

Example:

true

optin_keywords
string
required

Comma-separated list of opt-in keywords. Keywords are case-insensitive.

Example:

"begin,start"

optin_message
string | null
required

Opt-in message sent upon receiving an opt-in keyword.

Example:

"You are now opted-in for help please reply HELP, to stop please reply STOP"

optout
boolean
required

Indicates whether the campaign includes an opt-out system (for example, keyword: STOP, QUIT).

Example:

true

optout_keywords
string
required

Comma-separated list of opt-out keywords. Keywords are case-insensitive.

Example:

"stop,quit,unsubscribe"

optout_message
string | null
required

Opt-out message sent upon receiving an opt-out keyword.

Example:

"You are now opted out and will receive no further messages"

name
string
required

Campaign name.

Example:

"My first campaign"

created_at
string
required

Date and time the Campaign was created in ISO 8601 format.

Example:

"2024-08-14T11:57:41"

sample1
string | null
required

Message sample.

Example:

"Your verification code is XXXXXX"

sample2
string | null
required

Message sample.

sample3
string | null
required

Message sample.

sample4
string | null
required

Message sample.

sample5
string | null
required

Message sample.

updated_at
string
required

Date and time the Campaign was updated in ISO 8601 format.

Example:

"2024-08-14T11:57:47"

mock
boolean
required

Indicates whether the Campaign is a mock campaign.

Example:

false

usecase
string
required

Campaign use case.

Example:

"2FA"

monthly_fee
string
required

Campaign monthly fee.

Example:

"10.0"

privacy_policy
string | null
required

Privacy policy URL.

Example:

"https://site.com/privacy-policy"

terms_conditions
string | null
required

Terms and conditions URL.

Example:

"https://site.com/terms-and-conditions"

status
string
required

Campaign status.

Example:

"APPROVED"

phone_numbers
string[]
required

List of phone numbers associated with the campaign.

Example:
["14358684439", "13193337776", "12673296046"]